libgpm-devel-1.20.1-alt18.1.i586.rpm


Advertisement

Description

libgpm-devel - Include files for developing mouse driven programs

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libgpm-devel-1.20.1-alt18.1.i586.rpm
Package name libgpm-devel
Package version 1.20.1
Package release alt18.1
Package architecture i586
Package type rpm
Category Development/C
Homepage -
License -
Maintainer -
Download size 8.33 KB
Installed size 8.33 KB
This package contains the libraries and header files needed
for the development of mouse driven programs for the console.

Alternatives

Package Version Architecture Repository
libgpm-devel-1.20.1-alt18.1.x86_64.rpm 1.20.1 x86_64 Classic
libgpm-devel - - -

Requires

Name Value
libgpm = 1.20.1-alt18.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
gpm-devel = 1.20.1
libgpm-devel = 1.20.1-alt18.1

Obsoletes

Name Value
gpm-devel -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libgpm-devel-1.20.1-alt18.1.i586.rpm
Source Package gpm-1.20.1-alt18.1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libgpm-devel rpm package:
    # sudo apt-get install libgpm-devel

Files

Path
/usr/include/gpm.h
/usr/lib/libgpm.so

Changelog

2018-03-15 - Igor Vlasenko <viy@altlinux.ru> 1.20.1-alt18.1
- NMU: added URL
2018-01-22 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.20.1-alt18
- Fixed build.
2017-04-27 - Dmitry V. Levin <ldv@altlinux.org> 1.20.1-alt17
- Replaced the patch introduced in 1.20.1-alt15 with upstream patches.
- Fixed a bug uncovered by gcc -Wmisleading-indentation.
2016-02-06 - Michael Shigorin <mike@altlinux.org> 1.20.1-alt16
- Fixed FTBFS (BR: makeinfo).
2016-01-19 - Michael Shigorin <mike@altlinux.org> 1.20.1-alt15
- E2K: added clang support patch by Alexander Kolesen:
http://lists.linux.it/pipermail/gpm/2011-April/001122.html
2014-09-09 - Alexey Shabalin <shaba@altlinux.ru> 1.20.1-alt14
- NMU: add systemd support
2011-07-07 - Dmitry V. Levin <ldv@altlinux.org> 1.20.1-alt13
- libgpm-devel-static: added requirement on libtinfo-devel-static,
reported by Andrew Borodin.
2011-02-10 - Dmitry V. Levin <ldv@altlinux.org> 1.20.1-alt12
- Rebuilt for debuginfo.
2010-10-12 - Dmitry V. Levin <ldv@altlinux.org> 1.20.1-alt11
- Rebuilt for soname set-versions.
2009-11-09 - Dmitry V. Levin <ldv@altlinux.org> 1.20.1-alt10
- Removed obsolete %install_info/%uninstall_info calls.
- Removed obsolete explicit package requirements.

See Also

Package Description
libgpm-devel-static-1.20.1-alt18.1.i586.rpm Static library for developing static mouse driven programs
libgpod-devel-0.8.3-alt6.i586.rpm Development files for libgpod
libgpod4-0.8.3-alt6.i586.rpm iPod access library
libgps-devel-3.19-alt1.i586.rpm Development files for libgps
libgps25-3.19-alt1.i586.rpm Client libraries in C and Python for talking to a running gpsd or GPS
libgpsim-0.31.0-alt2.i586.rpm Main library for gpsim
libgpsim-devel-0.31.0-alt2.i586.rpm Headers for developing programs that will use libgpsim
libgrammarcommon5-19.08.1-alt1.i586.rpm KF5 library
libgranite-5.2.5-alt1.i586.rpm Extension of GTK+3 libraries
libgranite-devel-5.2.5-alt1.i586.rpm Extension of GTK+ libraries (development files)
libgranite-gir-5.2.5-alt1.i586.rpm GObject introspection data for the granite library
libgrantlee-0.5.1-alt1.i586.rpm Qt string template engine based on the Django template system
libgrantlee_templates5-5.1.0-alt3.i586.rpm grantlee5 library
libgrantlee_textdocument5-5.1.0-alt3.i586.rpm grantlee5 library
libgrantleethemeeditor5-19.08.1-alt1.i586.rpm kde5-grantlee-editor library
Advertisement
Advertisement